 \def\filename{hermes}
 \def\fileversion{v1.0e}
 \def\filedate{1999/04/01}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% HERMES CLASS --   Released April     1 1999, cv1.0e     %
%                   Released February  3 1999, cv1.0      %
%                                                         %
% hermes.sty        Released November  3 1998, v1.1a      %
%    for LaTeX-2e                                         %
%                                                         %
% Book class of mixed French and English articles         %
%                                                         %
% Requires a LaTeX2e format (latex.fmt) build with        %
% both the English and the French hyphenation patterns.   %
% (if necessary modify the language.dat file              %
% before initexing  latex.ltx).                           %
%                                                         %
% Usage                                                   %
%                                                         %
%   \documentclass[options]{hermes}                       %
%                                                         %
% Copyright -- 1999 Gilbert Ritschard                     %
% E-mail Gilbert.Ritschard@themes.unige.ch                %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                                                         %
% !!!! DO NOT MODIFY THIS FILE !!!!                       %
%                                                         %
% For customization, please redefine the commands you     %
% want to change in a personnal style file.               %
%                                                         %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

\NeedsTeXFormat{LaTeX2e}%[1998/06/01]
\newcommand\@hermesversion{\filedate\space\fileversion\space}
\ProvidesClass{\filename}[\@hermesversion by G.Ritschard]
%\typeout{Hermes class \@hermesversion  (c) G.Ritschard}

 % non standard packages available on CTAN
 %\RequirePackage{chicago}% for the bibliography: loaded only when the
                          % chicago option is selected
 \RequirePackage{setspace}
 
 % standard packages distributed with LaTeX2e
 \RequirePackage[T1]{fontenc}
 \RequirePackage{ifthen}
 % Loading of Babel postponed to the end of the package
 %\RequirePackage[frenchb,english]{babel}
 
 \newboolean{@articles}
 \newboolean{firstindent}
 \newboolean{@endbiblio}
 \newboolean{@grbibstyle}
 \newboolean{@chicago}
 \newboolean{@hermeshead}
 \newboolean{@french}
 \newboolean{@frenchsty}
 \setboolean{@frenchsty}{false}

% Declare Options
% first appearance
\DeclareOption{articles}{
  %\backmatter
  \setboolean{@articles}{true}
  \setboolean{@endbiblio}{false}
}
\DeclareOption{chapters}{
  %\mainmatter
  \setboolean{@articles}{false}
  \setboolean{@endbiblio}{true}
}
\DeclareOption{myheadings}{
  \pagestyle{myheadings}
  \setboolean{@hermeshead}{false}
}
\DeclareOption{headings}{
  \pagestyle{headings}
  \setboolean{@hermeshead}{false}
}
\DeclareOption{hermesheadings}{
  \setboolean{@hermeshead}{true}
}
\DeclareOption{frenchsty}{
  \setboolean{@frenchsty}{true}
}
\DeclareOption{freng}{
  %\backmatter
  \setboolean{firstindent}{true}%
}
\DeclareOption{french}{
  %\backmatter
  \setboolean{firstindent}{false}% 
  \setboolean{@french}{true}% 
}
\DeclareOption{english}{
  %\backmatter
  \setboolean{firstindent}{false}%
  \setboolean{@french}{false}% 
}
\DeclareOption{bookbib}{
    \setboolean{@endbiblio}{true}
}
\DeclareOption{articlebib}{
    \setboolean{@endbiblio}{false}
}
\DeclareOption{grbibstyle}{
    \setboolean{@grbibstyle}{true}
    \setboolean{@chicago}{false}
}
\DeclareOption{chicagogr}{
    \setboolean{@grbibstyle}{true}
    \setboolean{@chicago}{true}
}
\DeclareOption{chicago}{
    \setboolean{@chicago}{true}
}
\DeclareOption{hermesbib}{
    \setboolean{@grbibstyle}{false}
    \setboolean{@chicago}{false}
}
 \DeclareOption*{\PassOptionsToClass{\CurrentOption}{book}}

 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 \ExecuteOptions{chapters,hermesheadings,freng,hermesbib}
 \ProcessOptions
 \LoadClass[a4paper]{book}
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

 \ifthenelse{\boolean{@chicago}}{\RequirePackage{chicago}}{}
 \ifthenelse{\boolean{@articles}}{\backmatter}{\mainmatter}
 \ifthenelse{\boolean{@hermeshead}}{
  \def\book@title{}
  \def\ps@hermesheadings{%
    \let\@oddfoot\@empty\let\@evenfoot\@empty
    \def\@evenhead{\small\thepage\qquad{\book@title}\hss}%\leftmark\hfil}%
    \def\@oddhead{\hfil\small{\rightmark}\qquad\thepage}%
    \let\@mkboth\@gobbletwo
    \let\chaptermark\@gobble
    \let\sectionmark\@gobble
    }
  \pagestyle{hermesheadings}
 }{}
 
    
 \textheight=183mm
 \textwidth=120mm
 %\parskip=3mm
 
 % next is for centering the text on a A4 page size
 % should be changed if an other paper size (e.g. Letter) is used
 \oddsidemargin=19.4mm % for A4paper
 \evensidemargin=19.4mm% 19.4mm + 1in (default margin) = 4.5cm
 
 %\topmargin=-.5cm
 \topmargin=2.5cm
 \headsep=.73cm

 \parskip=6pt
 
 \newlength{\defaultparindent}
 \defaultparindent=\parindent
 \parindent=5mm
 %\setlength{\leftmargini}{0pt}
 \renewcommand\footnoterule{%
  \kern-3\p@
  %\hrule\@width.4\columnwidth%default value in book.cls
  \hrule\@width2.5cm
  \kern2.6\p@}
 

 % The default value of 450 for the book class is increased
 % to harder avoid single lines at the end (club) or top (widow)
 % of the page.
 \clubpenalty=3000
 \widowpenalty=4000
 \brokenpenalty=4000

                                    %%% default values in book.cls %%%
 \setcounter{topnumber}{4}                %\setcounter{topnumber}{2}
 \renewcommand\topfraction{1}             %\renewcommand\topfraction{.7}
 \setcounter{bottomnumber}{2}             %\setcounter{bottomnumber}{1}
 \renewcommand\bottomfraction{1}          %\renewcommand\bottomfraction{.3}
 \setcounter{totalnumber}{5}              %\setcounter{totalnumber}{3}
 \renewcommand\textfraction{0}            %\renewcommand\textfraction{.2}
 \renewcommand\floatpagefraction{.5}      %\renewcommand\floatpagefraction{.5}
 \setcounter{dbltopnumber}{4}             %\setcounter{dbltopnumber}{2}
 \renewcommand\dbltopfraction{1}          %\renewcommand\dbltopfraction{.7}
 \renewcommand\dblfloatpagefraction{.5}   %\renewcommand\dblfloatpagefraction{.5}
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GR% Heads of chapters, sections and
%GR% table of content redifined
%GR% for book of articles                  %%%%%%%%

 
\renewcommand*{\@seccntformat}[1]{%
  {\upshape\csname the#1\endcsname.}\hspace{1.5ex}}


 \newcounter{@prev@sec}

\ifthenelse{\boolean{@articles}}
  {\renewcommand\thesection{\arabic{section}}%
  \setcounter{tocdepth}{0}%
  \setcounter{secnumdepth}{2}%
    \newcommand\appendixinchap{\par
      \setcounter{@prev@sec}{\value{section}}
      \setcounter{section}{0}%
      \setcounter{subsection}{0}%
      \renewcommand\thesection{\Alph{section}}}
    \renewcommand\appendix\appendixinchap
    \newcommand\stopappendix{%
      \setcounter{section}{0}%
      \setcounter{subsection}{0}%
      \setcounter{section}{\value{@prev@sec}}
      \renewcommand\thesection{\arabic{section}}
      }
  }
  {\renewcommand\thesection{\ifnum \c@chapter>\z@ \thechapter.\fi\arabic{section}}%
  \setcounter{tocdepth}{1}%
    \newcommand\appendixinchap{\par
      \setcounter{@prev@sec}{\value{section}}
      \setcounter{section}{0}%
      \setcounter{subsection}{0}%
      \renewcommand\thesection{\ifnum \c@chapter>\z@ \thechapter.\fi\Alph{section}}
      }
    \newcommand\stopappendix{%
      \setcounter{section}{0}%
      \setcounter{subsection}{0}%
      \setcounter{section}{\value{@prev@sec}}
      \renewcommand\thesection{\ifnum \c@chapter>\z@ \thechapter.\fi\arabic{section}}
      }
  }
\renewcommand\thesubsection   {\thesection.\arabic{subsection}}
\renewcommand\thesubsubsection{\thesubsection.\arabic{subsubsection}}
\renewcommand\theparagraph    {\thesubsubsection.\arabic{paragraph}}
\renewcommand\thesubparagraph {\theparagraph.\arabic{subparagraph}}

\renewcommand\section{\@startsection {section}{1}{\z@}%
                                   {-5.5ex \@plus -1ex \@minus -.2ex}%
                                   {2.3ex \@plus.2ex}%
                                   {\normalfont\bfseries}}%\sffamily}}
                                   %{%{\normalfont\Large\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {-5.25ex\@plus -1ex \@minus -.2ex}%
                                     {2ex \@plus .2ex}% 1.5ex
                                     {\normalfont\itshape\bfseries}}%\sffamily}}
\renewcommand\subsubsection{\@startsection{subsubsection}{3}{\z@}%
                                     {-4.25ex\@plus -1ex \@minus -.2ex}%
                                     {1.8ex \@plus .2ex}% 1.3ex
                                     {\normalfont\itshape}}%\sffamily}}
\renewcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex\@plus 1ex \@minus .2ex}%
                                    {-1em}%
                                    {\normalfont}}%\sffamily}}
\renewcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus 1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\itshape}}

\renewcommand\chaptername{}
\renewcommand\chapter{\if@openright\cleardoublepage\else\clearpage\fi
                    \thispagestyle{empty}%
                    \setcounter{figure}{0}%
                    \setcounter{equation}{0}%
                    \setcounter{table}{0}%
                    \global\@topnum\z@
                    \@afterindentfalse
                    \secdef\@chapter\@schapter}
                    
\def\@chapter[#1]#2{\ifnum \c@secnumdepth >\m@ne
                       \if@mainmatter
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter.}%
                         \addcontentsline{toc}{chapter}%
                                {\protect\numberline{\thechapter}#1%}%
                                \protect\ifthenelse{\protect\equal{\@nom@auteur}{}}{}
                                {\protect\\\protect\hskip 1.5em%
                                {\normalfont\itshape\@nom@auteur}}}%
                       \else
                         \addcontentsline{toc}{chapter}%
                            {\protect\parbox[b]{11cm}%
                                {%\setlength\hangindent{.5em}
                                \protect\raggedright #1}
                                \protect\ifthenelse{\protect\equal{\@nom@auteur}{}}{}
                                {\protect\\\protect\hskip 1.5em%
                                {\normalfont\itshape\@nom@auteur}}}%
                       \fi
                    \else
                        \addcontentsline{toc}{chapter}%
                        {\protect\parbox[b]{11cm}%
                            {%\protect\setlength\hangindent{.5em}
                            \protect\raggedright #1}
                            \protect\ifthenelse{\protect\equal{\@nom@auteur}{}}{}
                            {\protect\\\protect\hskip 1.5em%
                            {\normalfont\itshape\@nom@auteur}}}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}]%
                    \else
                      \@makechapterhead{#2}%
                      \@afterheading
                    \fi}
\def\@makechapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \center \normalfont
    \ifnum \c@secnumdepth >\m@ne
      \if@mainmatter
        %\huge\bfseries\sffamily \@chapapp\space \thechapter
        \Large\bfseries \@chapapp\space \thechapter
        \par\nobreak
        \vskip 20\p@
      \fi
    \fi
    \interlinepenalty\@M
    %\huge \bfseries\sffamily #1\par\nobreak
    \LARGE\bfseries #1\par\nobreak
    \vskip 40\p@
  }}
\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                 \fi}
\def\@makeschapterhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \center %\raggedright
    \normalfont
    \interlinepenalty\@M
    {\LARGE\bfseries  #1}\par\nobreak
    \vskip 40\p@
  }}

%%% Altering the format of the table of content %%%% 
 
\renewcommand\tableofcontents{%
    \setlength\@tempdima\parskip
    \setlength\parskip{0pt}
    \if@twocolumn
      \@restonecoltrue\onecolumn
    \else
      \@restonecolfalse
    \fi
 %    \chapter*{\centerline{\contentsname}
 %        \@mkboth{%
 %        \contentsname}{\contentsname}}%
    \@makeschapterhead{\contentsname}
    \@starttoc{toc}%
    \if@restonecol\twocolumn\fi
    \setlength\parskip{\@tempdima}
    }

 \ifthenelse{\boolean{@articles}}
    {
    %\renewcommand{\@tocrmarg}{2cm}  
    %\renewcommand{\@pnumwidth}{1.5cm}  
    \renewcommand*\l@chapter[2]{%
    \ifnum \c@tocdepth >\m@ne
        \addpenalty{-\@highpenalty}%
        \vskip 1em \@plus\p@
        \setlength\@tempdima{1.5em}%
        \begingroup
        \parindent \z@ \rightskip \@pnumwidth
        \parfillskip -\@pnumwidth
        \leavevmode %\bfseries
        \advance\leftskip\@tempdima
        \hskip -\leftskip%
    %     \parbox[b]{11cm}%
    %      {\setlength\hangindent{1.5em}
    %     \raggedright
    %     #1}\nobreak\hfill \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
        #1\nobreak\leaders\hbox{\ .\ }\hfill\ \
        \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
        \penalty\@highpenalty
        \endgroup
    \fi}
    }{
    \renewcommand*\l@chapter[2]{%
    \ifnum \c@tocdepth >\m@ne
        \addpenalty{-\@highpenalty}%
        \vskip 1.0em \@plus\p@
        \setlength\@tempdima{1.5em}%
        \begingroup
        \parindent \z@ \rightskip \@pnumwidth
        \parfillskip -\@pnumwidth
        \leavevmode %\bfseries
        \advance\leftskip\@tempdima
        \hskip -\leftskip
        #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\vspace{1ex}\par
        \penalty\@highpenalty
        \endgroup
    \fi}
    }


 %from latex.ltx
 %changed here to get points after section number in the toc 

 \def\@sect#1#2#3#4#5#6[#7]#8{%
  \ifnum #2>\c@secnumdepth
    \let\@svsec\@empty
  \else
    \refstepcounter{#1}%
    \protected@edef\@svsec{\@seccntformat{#1}\relax}%
  \fi
  \@tempskipa #5\relax
  \ifdim \@tempskipa>\z@
    \begingroup
      #6{%
        \@hangfrom{\hskip #3\relax\@svsec}%
          \interlinepenalty \@M #8\@@par}%
    \endgroup
    \csname #1mark\endcsname{#7}%
    \addcontentsline{toc}{#1}{%
      \ifnum #2>\c@secnumdepth \else
        \protect\numberline{\csname the#1\endcsname.}%
      \fi
      #7}%
  \else
    \def\@svsechd{%
      #6{\hskip #3\relax
      \@svsec #8}%
      \csname #1mark\endcsname{#7}%
      \addcontentsline{toc}{#1}{%
        \ifnum #2>\c@secnumdepth \else
          \protect\numberline{\csname the#1\endcsname.}%
        \fi
        #7}}%
  \fi
  \@xsect{#5}}


 \renewenvironment{theindex}
               {\setlength\@tempdima\parskip\setlength\parskip{0pt}
                \if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\@makesindexhead{\indexname}]%
                \@mkboth{\small\indexname}%\MakeUppercase\indexname}%
                        {\small\indexname}%\MakeUppercase\indexname}%
                \thispagestyle{empty}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\setlength\parskip{\@tempdima}%
               \if@restonecol\onecolumn\else\clearpage\fi}

%GR% Formatting the index head

\def\@makesindexhead#1{%
  \vspace*{50\p@}%
  {\parindent \z@ \raggedright
    \normalfont
    \interlinepenalty\@M
    {\LARGE \bfseries  #1}\par\nobreak
    \vskip 40\p@
  }}

%% equation number: [n]

\def\@eqnnum{{\normalfont \normalcolor [\theequation]}}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%GR% Redefining caption format
  
\long\def\@makecaption#1#2{%
  \vskip\abovecaptionskip
  \sbox\@tempboxa{{\small {\bfseries{#1\caphsep}} {\normalfont\itshape #2}}}%
  \ifdim \wd\@tempboxa >\hsize
    \begin{spacing}{\capspacing}{{\small {\bfseries{#1\caphsep}}
    {\normalfont\itshape #2}}}\end{spacing}\par%GR% requires setspace.sty
  \else
    \global \@minipagefalse
    \hb@xt@\hsize{\hfil\box\@tempboxa\hfil}%
  \fi
  \vskip\belowcaptionskip}

 %============================================================
 %  REFERENCES

\newlength{\gr@itemsep}
\newif\if@numlabel

\renewenvironment{thebibliography}[1]
%book.cls%     {\chapter*{\bibname
     {\begin{spacing}{\bibspacing}
       \ifthenelse{\boolean{@endbiblio}}
            {\chapter*
                {\bibname \@mkboth{\small\bibname}{\small\bibname}}%
            }{\section*
                {\bibname \@mkboth{\small\bibname}{\small\bibname}}%
            }%
      \ifthenelse{\boolean{@grbibstyle}}%
      {\setcounter{enumiv}{0}%GR%
       \list{\@biblabel{\@arabic\c@enumiv}}%
           {\ifthenelse{\equal{#1}{num}}{\@numlabeltrue\settowidth\labelwidth{MM}}%
            {\@numlabelfalse\settowidth\labelwidth{#1}}%
            \leftmargin\labelwidth%
            \advance\leftmargin\labelsep%
            %\advance\leftmargin2em%
            \setlength{\gr@itemsep}{\itemsep}%GR%
            \setlength{\itemsep}{-.15ex}%GR%
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
            }%
          {\ifthenelse{\boolean{@chicago}}%
          % from chicago.sty
          {\list
               {[\arabic{enumi}]}{\settowidth\labelwidth{[#1]}
               \leftmargin\labelwidth
               \advance\leftmargin\labelsep
               \advance\leftmargin\bibindent
               \itemindent -\bibindent
               \listparindent \itemindent
               \parsep \z@
               \usecounter{enumi}}
               \def\newblock{}
               }
          % standard biblio
          {\list{\@biblabel{\@arabic\c@enumiv}}%
               {\settowidth\labelwidth{\@biblabel{#1}}%
                \leftmargin\labelwidth
                \advance\leftmargin\labelsep
                \@openbib@code
                \usecounter{enumiv}%
                \let\p@enumiv\@empty
                \renewcommand\theenumiv{\@arabic\c@enumiv}}%
                }%
          }%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m%
      \small}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \setlength{\itemsep}{\gr@itemsep}%GR%
      \end{spacing}
      \endlist}
%
 \ifthenelse{\boolean{@grbibstyle}}
    {%
    \def\@lbibitem[#1]#2{\item[\@biblabel{#1}\hfill]\if@filesw
      {\let\protect\noexpand
       \immediate
       \write\@auxout{\string\bibcite{#2}{#1}}}\fi\ignorespaces%
       \if@numlabel\else\hskip -\leftmargin\fi}%GR%
    %GR%\def\@biblabel#1{\refstepcounter{enumiv}[\theenumiv]}
    \def\@biblabel#1{\if@numlabel{\refstepcounter{enumiv}[\theenumiv]}\fi}

    \ifthenelse{\boolean{@chicago}}{
        \def\cite{\def\@citeseppen{-1000}%
            \def\@cite##1##2{##1\if@tempswa , ##2\fi}%
            \def\citeauthoryear##1##2##3{##1 ##3}\@internalcite}
        }{
         \def\@cite#1#2{{#1\if@tempswa , #2\fi}}%
        \def\@citex[#1]#2{\if@filesw\immediate\write\@auxout{\string\citation{#2}}\fi
          \def\@citea{}\@cite{\@for\@citeb:=#2\do
            {\@citea\def\@citea{,\penalty\@m\ }\@ifundefined
               {b@\@citeb}{{\bf ?}\@warning
               {Citation `\@citeb' on page \thepage \space undefined}}%
         %\hbox{\csname b@\@citeb\endcsname}}}{#1}}
         \hbox{}\csname b@\@citeb\endcsname}}{#1}}
      }
    }{}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %%%% Miscellaneous additional commands %%%%
 
 \newcommand\booktitle[1]{\def\book@title{#1}}

 \newcommand*{\bibspacing}{.9}
 \newcommand*{\resuspacing}{.8}
 \newcommand*{\capspacing}{.8}
 \newcommand*{\frenchfigurename}{Figure}
 \newcommand*{\frenchtablename}{Tableau}
 \newcommand*{\englishfigurename}{Figure}
 \newcommand*{\englishtablename}{Table}

 \newcommand*{\caphsep}{.\hspace{1.2ex}} 
 

% Definition of commands to be used with each chapter (article)
%
% - \auteur{names of the author(s)}
% - \affiliation{affiliation of the authors}
% - \resume{abstract}
% - \cles{keywords}
% - \Fr   sets the French language: names, typographical and hyphenation rules
% - \Eng  sets the English language: names, typographical and hyphenation rules

\def\@affiliation{}
\long\def\auteur#1{\def\@auteur{#1}}
\long\def\@@auteur{\begin{center}
    {\normalsize\textrm{\large \@auteur}\ifx\@affiliation{}\else\footnote{\@affiliation}\fi}
    \end{center}}
\long\def\affiliation#1{\def\@affiliation{#1}\@@auteur}

\newcommand{\nom@resume}{}
\long\def\resume#1{\@resume{#1}}%
\long\def\@resume#1{\vspace{6ex}\centerline{\parbox[t]{.9\linewidth}
    {\begin{spacing}{\resuspacing}\small\noindent{\bfseries \nom@resume}\
    #1\end{spacing}\vspace{2ex}}}}
    
\long\def\cles#1{\@cles{#1}}%
\newcommand{\nom@cles}{}
\long\def\@cles#1{\centerline{\parbox[t]{.9\linewidth}
    {\begin{spacing}{\resuspacing}\small\noindent{\bfseries \nom@cles}\ 
    #1\end{spacing}}\vspace{2ex}}}

\long\def\classif#1{\@classif{#1}}%
\newcommand{\nom@classif}{}
\newcommand{\nomclassif}[1]{\renewcommand{\nom@classif}{#1}}
\long\def\@classif#1{\centerline{\parbox[t]{.9\linewidth}
    {\begin{spacing}{\resuspacing}\small\noindent{\bfseries \nom@classif}\ 
    #1\end{spacing}}\vspace{2ex}}}


 % Commands \Fr and \Eng for switching to French and English
 % They use the Babel's \selectlanguage 
 % and redefine language specific actions
 % of hermes's commands

 \newcommand{\editorname}{ed}
 \newcommand{\editornames}{eds}
 \newcommand{\andname}{and}
 \newcommand\Fr{\selectlanguage{french}\lccode`\'=`\'%
    \ifthenelse{\boolean{@endbiblio}}
        {\renewcommand{\bibname}{Bibliographie}}%
        {\renewcommand{\bibname}{Rfrences}}%
    \renewcommand{\nom@resume}{Rsum~:}%
    \renewcommand{\nom@cles}{Mots-cls~:}%
    \renewcommand{\nom@classif}{Classification~:}%
    \renewcommand{\figurename}{\frenchfigurename}%
    \renewcommand{\tablename}{\frenchtablename}%
    \renewcommand\andname{et}
    % indentation after section title
    \ifthenelse{\boolean{firstindent}}
        {\let\@afterindentfalse\@afterindenttrue}
        {}%
    }
 \newcommand\Eng{\selectlanguage{english}\lccode`\'=0%
    \ifthenelse{\boolean{@endbiblio}}
        {\renewcommand{\bibname}{Bibliography}}%
        {\renewcommand{\bibname}{References}}%
    \renewcommand{\nom@resume}{Abstract:}%
    \renewcommand{\nom@cles}{Keywords:}%
    \renewcommand{\nom@classif}{Classification:}%
    \renewcommand{\figurename}{\englishfigurename}%
    \renewcommand{\tablename}{\englishtablename}%
    \renewcommand\andname{and}
    % indentation after section title
    \ifthenelse{\boolean{firstindent}}
        {\let\@afterindentfalse\@afterindenttrue}
        {}%
    }

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%% Commands to be used in the main file
% - \includechapter{authors}{right heading}{filename}{\Fr or \Eng}
%
% Each chapter (article) starts on an odd page.

 \def\@nom@auteur{}
 \newcommand{\includearticle}[4]{% #1 auteurs, #2 title,  #3 filename, #4 Fr/Eng
    \thispagestyle{empty}%
    \setcounter{section}{0}\setcounter{footnote}{0}%
    \def\@nom@auteur{#1}
    %\markboth{\textsl{#2}}{\textsl{#1}}%
    \markboth{#1}{#2}%
    #4%
    \ifthenelse{\equal{#3}{}}{}{\include{#3}\cleardoublepage}% 
    }
 \newcommand{\includechapter}[3]{\includechapter{}{#1}{#2}{#3}}
 \newcommand{\newchapter}[2]{\includechapter{}{#1}{}{#2}}
 \newcommand{\newarticle}[3]{\includechapter{#1}{#2}{}{#3}}

 % just for compatibility with earlier versions 
 \newcommand{\bookarticle}[4]{\includearticle{#1}{#2}{#3}{#4}}


 %% removed: \cleardoublepage makes it !
 % \newcommand{\setoddpage}{%
 %    \ifthenelse{\isodd{\value{page}}}{}{\
 %    \newpage}%
 %  }

 \ifthenelse{\boolean{@frenchsty}}
  {\RequirePackage[french,english]{babel}}
  {\RequirePackage[frenchb,english]{babel}}
 \AtBeginDocument{\ifthenelse{\boolean{@french}}{\Fr}{\Eng}}

%%%%%%%%%%%%%%%% end of hermes.cls %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

